Entity List

The entitylist endpoint returns all the entities which are available in the account. This allows users to retrieve the full scope of entities which can then be used in other requests. This endpoint does not require the entityId parameter to be present in the request.

For the full list of parameters accepted as well as which are required, see Parameters below. To view Sample response data, expand the menu under Responses and refer to the Example tab. To see the format of the response fields, as well as which are mandatory (that is, always returned in the response), select the tab Schema, and then expand object followed by content and finally object once more.

Request and Response

circle-info

You might find it helpful to access our Sesame Data Developer Portal

get
Responses
chevron-right
200

OK

application/json
entityIdinteger · int64Required

Unique identifier of the entity the request was made for

Example: 36403
entityNamestringRequired

Name of the entity the request was made for. For bookkeeping use-cases, this will contain the custodian name and portfolio code also.

Example: HSBC (7095754)
typestring · enumRequired

The entity type. This can be 'PORTFOLIO' or a Legal Entity.

Example: PORTFOLIOPossible values:
legalEntityIdinteger · int64Optional

The entityId of the parent Legal Entity. Only available for entities with type = 'PORTFOLIO'.

Example: 36402
portfolioCodestringOptional

Represents the account number or portfolio number, as provided by the custodian. This field is not created by Landytech. For bookkeeping use-cases, this will typically contain only one code per portfolio. This field will only be seen for entities which have type 'PORTFOLIO'.

Example: 7095754
reportingCurrencystringOptional

The reporting currency of the entity. This is the currency that all 'Rc' values for that entity will be reported in.

Example: GBP
lookThroughEnabledbooleanOptional

Indication of whether the entity has been set up to support look-through. For bookkeeping use-cases, this will be false.

Example: false
custodianstringOptional

If the entity is a portfolio, this reflects the custodian feeding the transactions and holdings

Example: HSBC
latestPublishedDatestring · dateOptional

The maximum date for which data is available for this entity

Example: 2025-05-13
firstPublishedDatestring · dateOptional

The minimum date for which data is available for this entity

Example: 2023-03-22
latestTransactionDatestring · dateOptional

The maximum valueDate of all transactions for this entity

Example: 2025-05-13
firstTransactionDatestring · dateOptional

The minimum valueDate of all transactions for this entity

Example: 2023-03-22
get
/api/v1/entitylist
200

OK

Last updated

Was this helpful?